%%%Sample homework code.

%time variables (years) - time step = 1 day
t_0=0; t_end=20; numTimeSteps=...;


%total population
N=...;
Nm=...;
Nw=...;
Nh=...;

%infected populations
Im=...;
Iw=...;
Ih=...;

Sm=Nm-Im;
Sw=Nw-Iw;
Sh=Nh-Ih;

y0=[Sm;
    Im;
    Sw;
    Iw;
    Sh;
    Ih];

%mortality rate
mu_m=...;
mu_w=...;
mu_h=...;

%infected mortality multiplier
gamma=...;

%annual contact numbers
a_m=...;
a_w=...;
a_h=...;

%mixing percentages
eta_m=...;
alpha_w=...;

%recruitment rate
Lambda_m=...;
Lambda_w=...;
Lambda_h=...;

%infection per contact terms
beta_m_m=...;
beta_w_m=...;
beta_m_w=...;


%assemble parameters in problem struct
problemParameters=...
    struct(...
       'mu_m',mu_m,...
       'mu_w',mu_w,...
       'mu_h',mu_h,...
       'gamma',gamma,...
       'eta_m',eta_m,...
       'alpha_w',alpha_w,...
       'a_m',a_m,...
       'a_w',a_w,...
       'a_h',a_h,...
       'beta_m_m',beta_m_m,...
       'beta_w_m',beta_w_m,...
       'beta_m_w',beta_m_w,...
       'Lambda_m',Lambda_m,...
       'Lambda_w',Lambda_w,...
       'Lambda_h',Lambda_h...
       );


%declare temporal space
tVec=linspace(t_0,t_end,numTimeSteps);

%solve the system
[t,y]=ode45(@(t,y)Homework_Model_Sample(t,y,problemParameters),tVec,y0);
%[tL,yL]=ode45(@(t,y)Example_Model_Linearizzato(t,y,problemParameters),tVec,y0L);

